DSTU4145Params (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.ua

## Class DSTU4145Params

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.ua.DSTU4145Params

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class DSTU4145Params
      extends ASN1Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DSTU4145Params(ASN1ObjectIdentifier namedCurve)`
    `DSTU4145Params(ASN1ObjectIdentifier namedCurve, byte[] dke)`
    `DSTU4145Params(DSTU4145ECBinary ecbinary)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static byte[]` | `getDefaultDKE()`
    `byte[]` | `getDKE()`
    `DSTU4145ECBinary` | `getECBinary()`
    `static DSTU4145Params` | `getInstance(java.lang.Object obj)`
    `ASN1ObjectIdentifier` | `getNamedCurve()`
    `boolean` | `isNamedCurve()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DSTU4145Params

          public DSTU4145Params(ASN1ObjectIdentifier namedCurve)

    - #### DSTU4145Params

          public DSTU4145Params(ASN1ObjectIdentifier namedCurve,
                                byte[] dke)

    - #### DSTU4145Params

          public DSTU4145Params(DSTU4145ECBinary ecbinary)

  - ### Method Detail

    - #### isNamedCurve

          public boolean isNamedCurve()

    - #### getECBinary

          public DSTU4145ECBinary getECBinary()

    - #### getDKE

          public byte[] getDKE()

    - #### getDefaultDKE

          public static byte[] getDefaultDKE()

    - #### getNamedCurve

          public ASN1ObjectIdentifier getNamedCurve()

    - #### getInstance

          public static DSTU4145Params getInstance(java.lang.Object obj)

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.